/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.properties;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 组件相关属性
 *
 * @author wookvn
 * @datetime 2024-10-12 11:11:48
 */
@Data
@Configuration
@ConfigurationProperties("platomix.component")
public class ComponentProperties {

    /**
     * 直方图组件的默认区间跨度
     */
    private int histogramCount = 5;

    /**
     * 直方图组件的默认区间值浮点数精度
     */
    private int histogramDecimalPlaces = 0;
}
