/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.visual.controller;

import org.springblade.visual.dto.ComponentColumn;
import org.springblade.visual.dto.ComponentFilter;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 该类不参与业务，只用于给前端提供参数字段查看。
 * 原因：preview接口时base64字符串，前端不知道对象属性。
 *
 * @author wookvn
 * @datetime 2024-10-17 12:37:00
 */
@RestController
@RequestMapping("/visual/component/config")
@Api(value = "组件参数对象", tags = "组件参数接口")
public class VisualComponentConfigController {
    
    /**
     * <p>行列字段对象字段查看</p>
     * @author wookvn
     * @datetime 2024-10-17 12:39:52
     * @return org.springblade.visual.dto.ComponentColumn
     **/
    @GetMapping("/column")
    @ApiOperation(value = "行列字段对象", notes = "传入visualComponent")
    public ComponentColumn column() {
        return new ComponentColumn();
    }

    /**
     * <p>过滤器对象字段查看</p>
     * @author wookvn
     * @datetime 2024-10-17 12:39:52
     * @return org.springblade.visual.dto.ComponentFilter
     **/
    @GetMapping("/filter")
    @ApiOperation(value = "过滤器字段对象")
    public ComponentFilter filter() {
        return new ComponentFilter();
    }
}
