package org.springblade.visual.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springblade.core.tool.api.R;
import org.springblade.visual.dto.EnableParams;
import org.springblade.visual.dto.ReviewParams;
import org.springblade.visual.dto.VisualDataPageParams;
import org.springblade.visual.entity.VisualReviewLog;
import org.springblade.visual.service.VisualDataManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/visual/manage")
@Api(tags = "大屏管理")
public class VisualDataManageController {


    @Autowired
    private VisualDataManageService visualDataManageService;

    @ApiOperation("创建人名字集合")
    @GetMapping("/VisualCreateNames")
    public R createNames() {
        return R.data(visualDataManageService.getCreateUserName());
    }

    @ApiOperation("分页")
    @GetMapping("/page")
    public R page(VisualDataPageParams params) {
        return R.data(visualDataManageService.page(params));
    }

    @ApiOperation("审核")
    @PostMapping("/review")
    public R reviewTemplate(@RequestBody ReviewParams params) {
        return R.status(visualDataManageService.reviewVisualData(params));
    }

    @ApiOperation("启用禁用")
    @PostMapping("/enable")
    public R enableTemplate(@RequestBody EnableParams params) {
        return R.status(visualDataManageService.enableVisual(params));
    }

    @ApiOperation("获取审核记录")
    @GetMapping("/VisualReviewLogs/{id}")
    public R<List<VisualReviewLog>> listReviewLogs(@PathVariable Long id) {
        return R.data(visualDataManageService.listReviewLogs(id));
    }



}
