/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.visual.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.visual.enums.CompareDataTypeEnum;
import org.springblade.visual.enums.CompareRatioCalcTypeEnum;
import org.springblade.visual.enums.CompareTypeEnum;

/**
 * 同环比设置对象
 *
 * @author wookvn
 * @datetime 2024-10-15 16:57:39
 */
@Data
public class ComponentColumnCompare {

    /**
     * 对比的日期对象
     */
    @ApiModelProperty("对比的日期对象唯一ID")
    private String dateFieldUniqId;

    /**
     * 对比类型
     */
    @ApiModelProperty("对比类型")
    private CompareTypeEnum compareType;

    /**
     * 数据设置
     */
    @ApiModelProperty("数据设置")
    private CompareDataTypeEnum compareDataType = CompareDataTypeEnum.EXACT;

    /**
     * 当 compareDataType={@link CompareDataTypeEnum#PERCENT} 的计算方式
     */
    @ApiModelProperty("计算方式")
    private CompareRatioCalcTypeEnum compareRatioCalcType = CompareRatioCalcTypeEnum.NORMAL;
}
