package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springblade.core.mp.base.TenantEntity;

import java.time.LocalDateTime;

@Data
@Accessors(chain = true)
public class VisualComponentTemplate extends TenantEntity {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "模板名字")
    private String name;

    @ApiModelProperty(value = "模板分类")
    private Integer category;

    @ApiModelProperty(value = "mcp模板分类")
    private Long mcpCategory;

    @TableField(exist = false)
    @ApiModelProperty(value = "mcp模板分类名字")
    private String mcpCategoryName;

    @ApiModelProperty(value = "审核状态（0未发起审核，1审核中，2审核通过 3审核未通过）")
    private Integer reviewStatus;

    @ApiModelProperty(value = "启用状态")
    private Integer status;

    @ApiModelProperty(value = "排序值，从小到大排序")
    private Integer orderIndex;

    @ApiModelProperty(value = "组件ID")
    private Integer componentId;
    @ApiModelProperty(value = "预览图片")
    private String previewUrl;

    @ApiModelProperty(value = "禁用原因")
    private String disableReason;

    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;


    @ApiModelProperty(value = "是否已删除")
    private Integer isDeleted;

    @ApiModelProperty(value = "创建人名字")
    private String createUserName;

    @TableField(exist = false)
    @ApiModelProperty(value = "租户名字")
    private String tenantName;

    @TableField(exist = false)
    @ApiModelProperty(value = "组件信息")
    private VisualComponent visualComponent;

    @ApiModelProperty(value = "使用次数")
    private Integer useTimes;

    @TableField(exist = false)
    @ApiModelProperty(value = "iam账号")
    private String iamAccount;

}
