package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springblade.core.mp.base.TenantEntity;

import java.time.LocalDateTime;
import java.util.List;

@Data
@Accessors(chain = true)
public class VisualComponentTemplateCategory extends TenantEntity {

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 分类名字
     */
    @ApiModelProperty(name = "分类名字")
    private String name;

    /**
     * parent_id
     */
    @ApiModelProperty(name = "parent_id")
    private Long parentId;

    /**
     * 排序值 从小到大排序
     */
    @ApiModelProperty(name = "排序值 从小到大排序")
    private Integer orderIndex;

    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人")
    private Long createUser;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @ApiModelProperty(name = "修改人")
    private Long updateUser;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "修改时间")
    private LocalDateTime updateTime;


    /**
     * 是否已删除
     */
    @ApiModelProperty(name = "是否已删除")
    private Integer isDeleted;
    @TableField(exist = false)
    @ApiModelProperty(name = "子分类")
    private List<VisualComponentTemplateCategory> children;
}
