package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.springblade.core.mp.base.TenantEntity;

import java.io.Serializable;
import java.util.Date;

@ApiModel(value = "VisualDataTemplate", description = "大屏模板信息")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class VisualDataTemplate extends TenantEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "模板名字")
    private String name;

    @ApiModelProperty(value = "模板分类")
    private Integer category;
    @ApiModelProperty(value = "中台模板分类")
    private Integer McpCategory;
    @TableField(exist = false)
    @ApiModelProperty(value = "中台模板分类名字")
    private String mcpCategoryName;

    @ApiModelProperty(value = "审核状态（0未发起审核，1审核中，2审核通过 3审核未通过）")
    private Integer reviewStatus;

    @ApiModelProperty(value = "启用状态")
    private Integer status;

    @ApiModelProperty(value = "排序值，从小到大排序")
    private Integer orderIndex;

    @ApiModelProperty(value = "大屏ID")
    private Integer visualId;

    @ApiModelProperty(value = "禁用原因")
    private String disableReason;

    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    @ApiModelProperty(value = "是否已删除")
    private Integer isDeleted;

    @ApiModelProperty(value = "创建人名字")
    private String createUserName;

    @TableField(exist = false)
    @ApiModelProperty(value = "租户名字")
    private String tenantName;
    @ApiModelProperty(value = "预览图片地址")
    private String previewImgUrl;

    @ApiModelProperty(value = "使用次数")
    private Integer useTimes;

    @ApiModelProperty(value = "iam账号")
    @TableField(exist = false)
    private String iamAccount;

    @ApiModelProperty("0是查看 1是使用（预览 使用 复制）")
    private Integer operationPermissions;

}