package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

@ApiModel(value = "VisualDataCategory", description = "大屏模板分类")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class VisualDataTemplateCategory implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "分类名字")
    private String name;

    @ApiModelProperty(name = "parent_id")
    private Long parentId;

    @ApiModelProperty(value = "排序值 从小到大排序")
    private Integer orderIndex;
    @ApiModelProperty(value = "创建人")
    private Long createUser;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人")
    private Long updateUser;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    @ApiModelProperty(value = "是否已删除")
    private Integer isDeleted;

}