package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springblade.core.mp.base.TenantEntity;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author xipengqiang
 * @date 2024-04-03
 */
@Data
@TableName("visual_review_log")
@ApiModel(value = "VisualReviewLog对象", description = "审核记录")
@Accessors(chain = true)
public class VisualReviewLog extends TenantEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    private Long id;
    @ApiModelProperty(value = "关联id")
    private Long relationId;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "类型 0大屏模板/1大屏/2是组件模板")
    private Integer type;
    @ApiModelProperty(value = "0是发起审核 1通过 2驳回 3禁用")
    private Integer status;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private Long createUserId;
    @ApiModelProperty(value = "创建人名字")
    private String createUserName;

}
