package org.springblade.visual.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.mapstruct.Mapper;
import org.springblade.visual.entity.VisualComponentTemplateCategory;

import java.util.List;

@Mapper
public interface VisualComponentTemplateCategoryMapper extends BaseMapper<VisualComponentTemplateCategory> {

    /**
     * 查询租户id是null的所有数据
     * @param name
     * @return
     */
    @InterceptorIgnore(tenantLine = "true")
    @Select("<script>" +
            "select * FROM visual_component_template_category WHERE tenant_id is null " +
            "<if test='name != null'> AND name LIKE CONCAT('%', #{name}, '%') </if>" +
            "ORDER BY create_time" +
            "</script>")
    List<VisualComponentTemplateCategory> mcpCategoryList(@Param("name") String name);

}
