/**
 *
 */
package org.springblade.visual.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.springblade.visual.entity.VisualDataTemplate;

/**
 * @author wookvn
 *
 */
@Mapper
public interface VisualDataTemplateMapper extends BaseMapper<VisualDataTemplate> {


    /**
     * 查询所有通过审核的模板
     */
    @InterceptorIgnore(tenantLine = "true")
    @Select("<script>" +
            "select * FROM visual_data_template " +
            "WHERE status = 1  " +
            "<if test='name != null'> AND name like CONCAT('%', #{name}, '%') </if>" +
            "<if test='category != null'> AND category = #{category} </if>" +
            "ORDER BY create_time desc" +
            "</script>")
    Page<VisualDataTemplate> allReviewedTemplate(Page page, @Param("name") String name, @Param("category") String category);

    @InterceptorIgnore(tenantLine = "true")
    @Select("select * FROM visual_data_template where visual_id = #{visualDataId}")
    VisualDataTemplate getByVisualDataId(@Param("visualDataId") Long visualDataId);

    @InterceptorIgnore(tenantLine = "true")
    @Update("update visual_data_template set use_times = use_times + 1 where id = #{id};")
    void addUseTimes(@Param("id") Long id);

    @InterceptorIgnore(tenantLine = "true")
    @Update("UPDATE visual_data_template SET status = #{status}, review_status = #{reviewStatus} WHERE id = #{id} ")
    void updateTemplate( @Param("status") int status, @Param("reviewStatus") int reviewStatus, @Param("id") Long id);

}
