/**
 *
 */
package org.springblade.visual.mapper;


import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.visual.entity.VisualReviewLog;

import java.util.List;

@Mapper
public interface VisualReviewLogMapper extends BaseMapper<VisualReviewLog> {

    default List<VisualReviewLog> list(Long relationId, Integer type) {
        LambdaQueryWrapper<VisualReviewLog> wrapper = Wrappers.<VisualReviewLog>lambdaQuery()
                .eq(VisualReviewLog::getRelationId, relationId)
                .eq(VisualReviewLog::getType, type);
        return this.selectList(wrapper);
    }

    @InterceptorIgnore(tenantLine = "true")
    @Select("SELECT * FROM visual_review_log WHERE type = #{type} and relation_id = #{relationId} order by create_time desc;")
    List<VisualReviewLog> listByRelationIdAndType(@Param("relationId") Long relationId,@Param("type") Integer type);


}