/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.bi.client.form;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 *  数据集查询对象
 *
 * @author wookvn
 * @datetime 2024-10-22 16:26:13
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(includeFieldNames = false)
public class QueryCubeForm implements Serializable {

    /**
     * 数据集ID
     */
    private Integer cubeId;

    /**
     * 请求参数值
     */
    private Object paramValue;

    /**
     * 数据源的poolName[可选参数]
     */
    private String poolName;

    /**
     * 需要查询的字段ID列表[可选参数]
     */
    private List<Integer> selectCubeColumnIdList;
}
